/*
Theme Name: Hyperdrive Child
Template: hyperdrive
Author: Striventa
Description: Hyperdrive is the last theme you'll ever need. Welcome to the future.
Version: 1.1.0
Requires at least: 6.1
Tested up to: 6.2.2
Requires PHP: 7.4
License: GPLv3 or later
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Text Domain: hyperdrive
*/


/* Woocommerce Dashboard */
.woocommerce-account .content .woocommerce {
  display: grid;
  grid-template: auto / 1fr;
  max-width: 1140px;
}
.woocommerce-account .content .woocommerce:before,
.woocommerce-account .content .woocommerce:after {
  display: none;
}
.woocommerce-account .content .woocommerce-MyAccount-navigation {
  background: var(--wp--preset--color--primary);
  border: 2px solid var(--wp--preset--color--primary);
  float: none;
  width: 100%;
}
.woocommerce-account .content .woocommerce-MyAccount-navigation ul,
.woocommerce-account .content .woocommerce-MyAccount-navigation ul li {
  margin: 0;
  padding: 0;
}
.woocommerce-account .content .woocommerce-MyAccount-navigation ul li a {
  display: block;
  padding: var(--wp--preset--spacing--small);
  border-bottom: 1px solid rgba(255, 255, 255, 0.2);
  color: white;
}
.woocommerce-account .content .woocommerce-MyAccount-navigation ul li:hover a,
.woocommerce-account .content .woocommerce-MyAccount-navigation ul li.is-active a {
  background: rgba(255, 255, 255, 0.2);
  color: white;
  text-decoration: none;
}
.woocommerce-account .content .woocommerce-MyAccount-content {
  float: none;
  width: 100%;
  border: 2px solid #dddddd;
  border-top-width: 0;
  padding: var(--wp--preset--spacing--medium) var(--wp--preset--spacing--medium);
}
.woocommerce-account .content .woocommerce-MyAccount-content h3.wp-block-heading { font-size: 24px; margin: var(--wp--preset--spacing--medium) 0 var(--wp--preset--spacing--small); }
.woocommerce-account .content .subscription_details { width: 100%; }
.woocommerce-account main.content .woocommerce-MyAccount-content form button { border-radius: 0; }
.woocommerce-account .content .woocommerce-orders-table__cell.woocommerce-orders-table__cell-order-actions a.woocommerce-button,
.woocommerce-account .content .subscription_details a.woocommerce-button,
.woocommerce-account .content .shop_table a.woocommerce-button {
  /* display: block; */
  margin-bottom: 1em;
  text-align: center;
  margin: 0;
  font-size: 14px;
  padding: 12px 20px 8px;
  display: inline-block;
}

@media (min-width: 768px) {
  .woocommerce-account .content .woocommerce {
    grid-template: auto / 1fr 3fr;
  }
  .woocommerce-account .content .woocommerce-MyAccount-content {
    border-top-width: 2px;
    border-left-width: 0;
  }
}

/* Woocommerce My Account Login */
.woocommerce-account .content .woocommerce > .woocommerce-notices-wrapper,
.woocommerce-account .content .woocommerce > h2,
.woocommerce-account .content .woocommerce > .woocommerce-form-login {
  grid-column: span 2;
}
.woocommerce-account .content .woocommerce > h2 { text-align: center; }
.woocommerce-account .content .woocommerce > .woocommerce-form-login {
  width: 400px;
  margin: 0 auto;
}

/* Woocommerce My Account Support Form */
.woocommerce-account .content .woocommerce > .woocommerce-MyAccount-content .mdb-support-form-container {
  background: #f4f4f4;
  padding: var(--wp--preset--spacing--small) var(--wp--preset--spacing--medium) var(--wp--preset--spacing--medium);
}
.woocommerce-account .content .woocommerce > .woocommerce-MyAccount-content .mdb-support-form-container .gform_wrapper .gfield_label {
  font-size: 16px;
  font-weight: 700;
}
@media (min-width:768px){
  .woocommerce-account .content .woocommerce > .woocommerce-MyAccount-content .mdb-support-form-container .gform_wrapper .ginput_container_checkbox > .gfield_checkbox {
    display: grid;
    grid-template: auto / 1fr 1fr;
  }
}
@media (min-width:1024px){
  .woocommerce-account .content .woocommerce > .woocommerce-MyAccount-content .mdb-support-form-container .gform_wrapper .ginput_container_checkbox > .gfield_checkbox {
    display: grid;
    grid-template: auto / 1fr 1fr 1fr;
  }
}
.woocommerce-account .content .woocommerce > .woocommerce-MyAccount-content .mdb-support-form-container .gform_wrapper :is(button.gform-theme-button, input.gform_button):not(.gform_delete_file) {
  background: var(--wp--preset--color--primary);
  color: #fff;
  border-radius: 0;
  font-family: var(--wp--preset--font-family--teko) !important;
  font-size: 20px;
  font-style: normal;
  font-weight: 600;
  text-transform: uppercase;
  letter-spacing: 0.03em;
  padding-top: 18px;
  padding-right: 25px;
  padding-bottom: 12px;
  padding-left: 25px;
}
.woocommerce-account .content .woocommerce > .woocommerce-MyAccount-content .mdb-support-form-container .gform-theme--framework .gfield:where(.gfield--type-fileupload,.gfield--input-type-fileupload) .gform_drop_area::before {
  color: var(--wp--preset--color--secondary);
}


/* Woocommerce Checkout 
  Woo checkout styles had to be moved to Custom CSS in admin 
  because this stylesheet is not loaded on the checkout page.
  */


/* Woocommerce Thank You */
.woocommerce-order-received main.content h3.wp-block-heading { margin: var(--wp--preset--spacing--medium) 0 var(--wp--preset--spacing--small); }
.woocommerce-order-received main.content .wc-block-order-confirmation-totals { margin: 0; }
.woocommerce-order-received main.content table.shop_table { width: 100%; }


/* Gravity Forms Intake Form */
.gform_wrapper .gform_required_legend { display: none; }
.gform-theme--framework .gf_progressbar_wrapper .gf_progressbar { background: var(--wp--preset--color--light-grey); }
.gform-theme--framework .gf_progressbar_wrapper .gf_progressbar .gf_progressbar_percentage { background: var(--wp--preset--color--secondary); }
.gform_wrapper .gform_page .gform_fields { row-gap: var(--wp--preset--spacing--medium) !important; column-gap: var(--wp--preset--spacing--large) !important; }
.gform_wrapper .gform_page .gform_fields .gfield--type-section .gsection_title { margin-bottom: 0 !important }
.gform_wrapper .gform_page .gform_fields .gfield.color-picker-field.color-picker-use-swatches-popup .gfield_radio { width: 97vw !important; max-width: 840px !important; }
.gform_wrapper .gform_page .gform_fields .gfield.color-picker-field.color-picker-use-swatches-popup .color-picker-swatches-popup-close {
	width: 24px;
	height: 24px;
  min-block-size: 24px;
	border-radius: 50%;
	overflow: hidden;
	display: inline-block;
	border: 2px solid black;
	background: white;
	color: black;
	position: absolute;
	right: 4px;
	top: 4px;
	padding: 0;
	margin: 0 !important;
}
.gform_wrapper .gform_page .gform_fields .gfield.color-picker-field.color-picker-use-swatches-popup .color-picker-swatches-popup-close:before,
.gform_wrapper .gform_page .gform_fields .gfield.color-picker-field.color-picker-use-swatches-popup .color-picker-swatches-popup-close:after {
  content: "";
  width: 12px;
  height: 2px;
  font-size: 0;
  line-height: 0;
  overflow: hidden;
  display: inline-block;
  background: black;
  transform-origin: 50%;
  position: absolute;
  left: 4px;
  top: 9px;
}
.gform_wrapper .gform_page .gform_fields .gfield.color-picker-field.color-picker-use-swatches-popup .color-picker-swatches-popup-close:before {
  transform: rotate(45deg);
}
.gform_wrapper .gform_page .gform_fields .gfield.color-picker-field.color-picker-use-swatches-popup .color-picker-swatches-popup-close:after {
  transform: rotate(-45deg);
}
.gform_wrapper .gform_page .gform_fields .gfield.color-picker-field.color-picker-use-swatches-popup .color-picker-swatches-popup-close:hover {
  color: white;
  background: black;
}
.gform_wrapper .gform_page .gform_fields .gfield.color-picker-field.color-picker-use-swatches-popup .color-picker-swatches-popup-close:hover:before,
.gform_wrapper .gform_page .gform_fields .gfield.color-picker-field.color-picker-use-swatches-popup .color-picker-swatches-popup-close:hover:after {
  background: white;
}
.gform_wrapper .gform_page .gform_fields .gfield.gfield--type-repeater_end {
  padding: 0 !important;
  margin-top: -30px;
}
.gform_wrapper .gform_page .gform_fields .gfield.gfield--type-repeater_end .repeater-field-item > .repeater-field-header {
  background: var(--wp--preset--color--light-grey);
  padding: 10px;
}
.gform_wrapper .gform_page .gform_fields .gfield.gfield--type-repeater_end .repeater-field-item > .repeater-field-header > .repeater-field-header { align-items: center; }
.gform_wrapper .gform_page .gform_fields .gfield.gfield--type-repeater_end .repeater-field-item > .repeater-field-header .repeater-field-header-title { font-size: 15px; }
.gform_wrapper .gform_page .gform_fields .gfield.gfield--type-repeater_end .repeater-field-item > .repeater-field-content { padding: 10px; }
.gform_wrapper .gform_page .gform_fields .gfield.gfield--type-repeater_end .repeater-field-item > .repeater-field-content .gfield_label { font-size: 15px; }
.gform_wrapper .gform_page .gform_fields .gfield.gfield--type-repeater_end .repeater-field-footer { margin: 15px 0 0; }
.gform_wrapper .gform_page .gform_fields .gfield.gfield--type-repeater_end .repeater-field-footer .gf-repeater-field-button-add {
  display: inline-flex;
  box-shadow: none !important;
  border-radius: 0;
  font-family: var(--wp--preset--font-family--teko);
  text-transform: uppercase;
  font-size: 18px;
  padding: 12px 20px 8px;
  background: transparent;
  border: 1px solid var(--wp--preset--color--primary);
  color: var(--wp--preset--color--primary);
  transition: all 0.3s ease-in-out;
}
.gform_wrapper .gform_page .gform_fields .gfield.gfield--type-repeater_end .repeater-field-footer .gf-repeater-field-button-add:hover {
  background: var(--wp--preset--color--primary);
  color: var(--wp--preset--color--white);
  text-decoration: none;
}
@media (min-width:640px){
  .gform_wrapper .gform_page .gform_fields .gfield.gfield--type-address .ginput_complex .address_line_1 { inline-size: 100%; }
  .gform_wrapper .gform_page .gform_fields .gfield.gfield--type-address .ginput_complex .address_city { inline-size: 50%; }
  .gform_wrapper .gform_page .gform_fields .gfield.gfield--type-address .ginput_complex .address_state { inline-size: 20%; }
  .gform_wrapper .gform_page .gform_fields .gfield.gfield--type-address .ginput_complex .address_zip { inline-size: 30%; }
}
@media (min-width:768px){
  .gform_wrapper .gform_page .gform_fields .gfield.gfield--type-address .ginput_complex .address_line_1 { inline-size: 50%; }
  .gform_wrapper .gform_page .gform_fields .gfield.gfield--type-address .ginput_complex .address_city { inline-size: 25%; }
  .gform_wrapper .gform_page .gform_fields .gfield.gfield--type-address .ginput_complex .address_state { inline-size: 15%; }
  .gform_wrapper .gform_page .gform_fields .gfield.gfield--type-address .ginput_complex .address_zip { inline-size: 10%; }
}
.gform_wrapper .gform_page .gform_page_footer { border-top: 1px solid var(--wp--preset--color--light-grey); margin-top: var(--wp--preset--spacing--medium); padding-top: var(--wp--preset--spacing--small); }
.gform_wrapper .gform_page .gform_page_footer .gform-theme-button { box-shadow: none !important; font-family: var(--wp--preset--font-family--teko) !important; text-transform: uppercase !important; font-size: 18px !important; padding: 12px 20px 8px !important; }
.gform_wrapper .gform_page .gform_page_footer .gform_previous_button { background: var(--wp--preset--color--light-grey) !important; border-color: var(--wp--preset--color--light-grey) !important }
.gform_wrapper .gform_page .gform_page_footer .gform_previous_button:hover { background: var(--wp--preset--color--medium-grey) !important; border-color: var(--wp--preset--color--medium-grey) !important; color: var(--wp--preset--color--white) !important; }
.gform_wrapper .gform_page .gform_page_footer .gform_save_link { margin-left: auto !important; align-self: flex-end; border-color: var(--wp--preset--color--primary) !important; color: var(--wp--preset--color--primary) !important; }
.gform_wrapper .gform_page .gform_page_footer .gform_save_link:hover { background-color: var(--wp--preset--color--primary) !important; color: var(--wp--preset--color--white) !important; }
.gform_wrapper .gform_page .gform_page_footer .gform_save_link::before { color: currentColor !important }
.gform_wrapper .gform_page .gform_page_footer .gform_save_link svg path { fill: currentColor; }

